package com.pcloud.book.applet.dao.impl;

import com.pcloud.book.applet.dao.AppletBookIgnorDao;
import com.pcloud.book.applet.entity.AppletBookIgnor;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (AppletBookIgnor)表数据库访问层
 *
 * @author makejava
 * @since 2021-05-06 13:49:59
 */
@Repository("appletBookIgnorDaoImpl")
public class AppletBookIgnorDaoImpl extends BaseDaoImpl<AppletBookIgnor> implements AppletBookIgnorDao {
    public int softDeleteById(Long id) {
       return getSessionTemplate().update(getStatement("softDeleteById"), id);
    }

    @Override
    public List<Long> getAllIgnorBookIds() {
        return getSessionTemplate().selectList(getStatement("getAllIgnorBookIds"));
    }
}